From 79dd920a1432959925a7d4460ea07656cae60fe0 Mon Sep 17 00:00:00 2001
From: Stephen Gallagher <sgallagh@redhat.com>
Date: Mon, 2 Aug 2010 14:36:33 -0400
Subject: [PATCH] Revert WebUI changes

---
 .gitignore                                   |    8 -
 install/Makefile.am                          |    1 -
 install/conf/ipa.conf                        |   15 -
 install/configure.ac                         |    1 -
 install/share/wsgi.py                        |   27 -
 install/static/Image:Header_background.png   |  146 -
 install/static/Mainnav-background.png        |  Bin 136 -> 0 bytes
 install/static/Mainnav-offtab.png            |  Bin 145 -> 0 bytes
 install/static/Mainnav-ontab.png             |  Bin 142 -> 0 bytes
 install/static/Mainnav-seperatorbars.png     |  Bin 122 -> 0 bytes
 install/static/Makefile.am                   |   43 -
 install/static/Subnav-background.png         |  Bin 140 -> 0 bytes
 install/static/Subnav-offbutton.png          |  Bin 145 -> 0 bytes
 install/static/Subnav-onbutton.png           |  Bin 173 -> 0 bytes
 install/static/but-reset.png                 |  Bin 1368 -> 0 bytes
 install/static/but-selected.png              |  Bin 401 -> 0 bytes
 install/static/but-unselected.png            |  Bin 423 -> 0 bytes
 install/static/but-update.png                |  Bin 1649 -> 0 bytes
 install/static/details.js                    |  559 ---
 install/static/gray-fade-line.png            |  Bin 2826 -> 0 bytes
 install/static/group-details.inc             |   32 -
 install/static/group.js                      |   41 -
 install/static/groupmeta.js                  |  253 --
 install/static/header.png                    |  Bin 2847 -> 0 bytes
 install/static/header_background.png         |  Bin 170 -> 0 bytes
 install/static/header_logo.png               |  Bin 13311 -> 0 bytes
 install/static/host.js                       |   46 -
 install/static/hostgroup.js                  |   43 -
 install/static/index.xhtml                   |   69 -
 install/static/ipa.css                       |  271 --
 install/static/ipa.js                        |  128 -
 install/static/ipa_logo_180x50.png           |  Bin 12071 -> 0 bytes
 install/static/ipalogo.png                   |  Bin 12071 -> 0 bytes
 install/static/jquery.cookie.js              |   96 -
 install/static/jquery.js                     | 6240 --------------------------
 install/static/json2.js                      |  482 --
 install/static/minus-disabled.png            |  Bin 521 -> 0 bytes
 install/static/minus-enabled.png             |  Bin 522 -> 0 bytes
 install/static/minus-hover.png               |  Bin 379 -> 0 bytes
 install/static/navigation.js                 |  160 -
 install/static/netgroup.js                   |   41 -
 install/static/pageparams.js                 |   15 -
 install/static/plus-disabled.png             |  Bin 560 -> 0 bytes
 install/static/plus-enabled.png              |  Bin 561 -> 0 bytes
 install/static/plus-hover.png                |  Bin 409 -> 0 bytes
 install/static/sampledata/develop.js         |    3 -
 install/static/sampledata/grouplist.json     |   75 -
 install/static/sampledata/groupshow.json     |   38 -
 install/static/sampledata/hostgrouplist.json |   33 -
 install/static/sampledata/hostlist.json      |   45 -
 install/static/sampledata/hostshow.json      |   56 -
 install/static/sampledata/netgrouplist.json  |   56 -
 install/static/sampledata/userlist.json      |  246 -
 install/static/sampledata/usershow.json      |   71 -
 install/static/sampledata/whoami.json        |    7 -
 install/static/search.js                     |  127 -
 install/static/user-add.inc                  |   25 -
 install/static/user-details.inc              |  267 --
 install/static/user-groups.inc               |   49 -
 install/static/user.html                     |  112 -
 install/static/user.js                       |  268 --
 install/static/usermeta.js                   |  415 --
 ipa.spec.in                                  |    6 -
 ipalib/constants.py                          |    1 -
 ipalib/frontend.py                           |    2 +-
 ipalib/parameters.py                         |   20 +-
 ipalib/plugins/baseldap.py                   |   82 +-
 ipalib/plugins/whoami.py                     |   41 -
 ipalib/util.py                               |    9 +-
 setup.py                                     |    3 -
 tests/test_ipalib/test_text.py               |    4 +-
 71 files changed, 29 insertions(+), 10749 deletions(-)
 delete mode 100644 install/po/test_lang
 delete mode 100644 install/static/Image:Header_background.png
 delete mode 100644 install/static/Mainnav-background.png
 delete mode 100644 install/static/Mainnav-offtab.png
 delete mode 100644 install/static/Mainnav-ontab.png
 delete mode 100644 install/static/Mainnav-seperatorbars.png
 delete mode 100644 install/static/Makefile.am
 delete mode 100644 install/static/Subnav-background.png
 delete mode 100644 install/static/Subnav-offbutton.png
 delete mode 100644 install/static/Subnav-onbutton.png
 delete mode 100644 install/static/but-reset.png
 delete mode 100644 install/static/but-selected.png
 delete mode 100644 install/static/but-unselected.png
 delete mode 100644 install/static/but-update.png
 delete mode 100644 install/static/details.js
 delete mode 100644 install/static/gray-fade-line.png
 delete mode 100644 install/static/group-details.inc
 delete mode 100644 install/static/group.js
 delete mode 100644 install/static/groupmeta.js
 delete mode 100644 install/static/header.png
 delete mode 100644 install/static/header_background.png
 delete mode 100644 install/static/header_logo.png
 delete mode 100644 install/static/host.js
 delete mode 100644 install/static/hostgroup.js
 delete mode 100644 install/static/index.xhtml
 delete mode 100644 install/static/ipa.css
 delete mode 100644 install/static/ipa.js
 delete mode 100644 install/static/ipa_logo_180x50.png
 delete mode 100644 install/static/ipalogo.png
 delete mode 100644 install/static/jquery.cookie.js
 delete mode 100644 install/static/jquery.js
 delete mode 100644 install/static/json2.js
 delete mode 100644 install/static/minus-disabled.png
 delete mode 100644 install/static/minus-enabled.png
 delete mode 100644 install/static/minus-hover.png
 delete mode 100644 install/static/navigation.js
 delete mode 100644 install/static/netgroup.js
 delete mode 100644 install/static/pageparams.js
 delete mode 100644 install/static/plus-disabled.png
 delete mode 100644 install/static/plus-enabled.png
 delete mode 100644 install/static/plus-hover.png
 delete mode 100644 install/static/sampledata/develop.js
 delete mode 100644 install/static/sampledata/grouplist.json
 delete mode 100644 install/static/sampledata/groupshow.json
 delete mode 100644 install/static/sampledata/hostgrouplist.json
 delete mode 100644 install/static/sampledata/hostlist.json
 delete mode 100644 install/static/sampledata/hostshow.json
 delete mode 100644 install/static/sampledata/netgrouplist.json
 delete mode 100644 install/static/sampledata/userlist.json
 delete mode 100644 install/static/sampledata/usershow.json
 delete mode 100644 install/static/sampledata/whoami.json
 delete mode 100644 install/static/search.js
 delete mode 100644 install/static/user-add.inc
 delete mode 100644 install/static/user-details.inc
 delete mode 100644 install/static/user-groups.inc
 delete mode 100644 install/static/user.html
 delete mode 100644 install/static/user.js
 delete mode 100644 install/static/usermeta.js
 delete mode 100644 ipalib/plugins/whoami.py

diff --git a/.gitignore b/.gitignore
index 08a1d85f51be187fdd3301c22e4459ba5fd31b64..7ed6c41dd4e89003ce6694855fd6d9b93163b7ce 100644
--- a/.gitignore
+++ b/.gitignore
@@ -2,11 +2,3 @@
 .bzr
 freeipa2-dev-doc
 build
-RELEASE
-daemons/ipa-version.h
-ipa-client/ipa-client.spec
-ipa-client/version.m4
-ipa.spec
-ipapython/setup.py
-ipapython/version.py
-version.m4
diff --git a/install/Makefile.am b/install/Makefile.am
index 80f04bd74c3922f04b6322e636fabc177218d98f..1b97afa5be255e29f6d75c543026bdccd0c58645 100644
--- a/install/Makefile.am
+++ b/install/Makefile.am
@@ -9,7 +9,6 @@ SUBDIRS =			\
         html			\
         migration		\
         share			\
-        static			\
         tools			\
         updates			\
         po			\
diff --git a/install/conf/ipa.conf b/install/conf/ipa.conf
index 85b37b834128d40a902b13b172a51cb40f4ff6f8..dba47c5a49054cfb15da0018f066ca39cc600f82 100644
--- a/install/conf/ipa.conf
+++ b/install/conf/ipa.conf
@@ -5,12 +5,6 @@
 
 ProxyRequests Off
 
-
-#We use xhtml, a file format that the browser validates
-DirectoryIndex index.xhtml
-
-
-
 # ipa-rewrite.conf is loaded separately
 
 # This is required so the auto-configuration works with Firefox 2+
@@ -84,15 +78,6 @@ Alias /ipa/crl "/var/lib/pki-ca/publish"
 </Directory>
 
 
-# Static data files (maily webUI stuff like images)
-Alias /ipa/static "/usr/share/ipa/static"
-<Directory "/usr/share/ipa/static">
-  SetHandler None
-  AllowOverride None
-  Allow from all
-</Directory>
-
-
 # WebUI assets
 Alias /ipa-assets/ "/var/cache/ipa/assets/"
 <Directory "/var/cache/ipa/assets">
diff --git a/install/configure.ac b/install/configure.ac
index 3d0c1db024d60ab9965d3a55b02cef93f9784f19..eb2d3cd136aa7aac7523e61497c84b7b425aa42d 100644
--- a/install/configure.ac
+++ b/install/configure.ac
@@ -72,7 +72,6 @@ AC_CONFIG_FILES([
     html/Makefile
     migration/Makefile
     share/Makefile
-    static/Makefile
     tools/Makefile
     tools/man/Makefile
     updates/Makefile
diff --git a/install/share/wsgi.py b/install/share/wsgi.py
index 2e0cd8f6b297906fc714431ebcb27b400e9f633d..f6b99a2dcb704535da4d038aef2646224b4adc07 100644
--- a/install/share/wsgi.py
+++ b/install/share/wsgi.py
@@ -1,35 +1,8 @@
-# Authors:
-#   Pavel Zuna <pzuna@redhat.com>
-#
-# Copyright (C) 2010  Red Hat
-# see file 'COPYING' for use and warranty information
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; version 2 only
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 """
 WSGI appliction for IPA server.
 """
 
-import json
-import urlparse
-from genshi.template import TemplateLoader, MarkupTemplate, TemplateNotFound
-
 from ipalib import api
-from ipalib.util import json_serialize
-from ipalib.request import context, destroy_context
-from ipaserver.rpcserver import not_found
-
-
 api.bootstrap(context='server', debug=True, log=None)
 try:
     api.finalize()
diff --git a/ipa.spec.in b/ipa.spec.in
index 885056bc05972cb9c9b09c6e33d6a8da6063a1c5..0ccf7018f4e9fc0c068061cb27ca16afcd9d364e 100644
--- a/ipa.spec.in
+++ b/ipa.spec.in
@@ -391,12 +391,6 @@ fi
 %{_usr}/share/ipa/migration/invalid.html
 %{_usr}/share/ipa/migration/migration.css
 %{_usr}/share/ipa/migration/migration.py*
-%dir %{_usr}/share/ipa/static
-%{_usr}/share/ipa/static/*.png
-%{_usr}/share/ipa/static/*.css
-%{_usr}/share/ipa/static/*.js
-%dir %{_usr}/share/ipa/static
-%{_usr}/share/ipa/static/*
 %dir %{_sysconfdir}/ipa
 %dir %{_sysconfdir}/ipa/html
 %config(noreplace) %{_sysconfdir}/ipa/html/ssbrowser.html
diff --git a/ipalib/constants.py b/ipalib/constants.py
index 65589f105e0259e6cbe26b5546cfdb1f742775bd..66f13f25cbfd61d5132287f4e8d45ac7690e6b1c 100644
--- a/ipalib/constants.py
+++ b/ipalib/constants.py
@@ -114,7 +114,6 @@ DEFAULT_CONFIG = (
     # WebUI stuff:
     ('webui_prod', True),
     ('webui_assets_dir', None),
-    ('webui_new_layout', False),
 
     # Debugging:
     ('verbose', 0),
diff --git a/ipalib/parameters.py b/ipalib/parameters.py
index a628b6f53f2a32348e2879f9963618bfd2518872..f97c4221855d92a5bf73a40b69e42ced5451408d 100644
--- a/ipalib/parameters.py
+++ b/ipalib/parameters.py
@@ -100,17 +100,15 @@ a more detailed description for clarity.
 """
 
 import re
-import csv
-import json
-
 from types import NoneType
-from util import make_repr, json_serialize
+from util import make_repr
 from request import ugettext
 from plugable import ReadOnly, lock, check_name
 from errors import ConversionError, RequirementError, ValidationError
 from errors import PasswordMismatch
 from constants import NULLS, TYPE_ERROR, CALLABLE_ERROR
 from text import Gettext, FixMe
+import csv
 
 
 class DefaultFrom(ReadOnly):
@@ -854,20 +852,6 @@ class Param(ReadOnly):
                     pass
         return self.default
 
-    def __json__(self):
-        json_dict = {}
-        for (a, k, d) in self.kwargs:
-            if k in (callable, DefaultFrom):
-                continue
-            elif isinstance(getattr(self, a), frozenset):
-                json_dict[a] = [k for k in getattr(self, a, [])]
-            else:
-                json_dict[a] = getattr(self, a, '')
-        json_dict['class'] = self.__class__.__name__
-        json_dict['name'] = self.name
-        json_dict['type'] = self.type.__name__
-        return json_dict
-
 
 class Bool(Param):
     """
diff --git a/ipalib/plugins/baseldap.py b/ipalib/plugins/baseldap.py
index 4b8699744753117227c263698c52e70a3d55dd60..2b0ff2d73f215194da054100ba81051e2651370f 100644
--- a/ipalib/plugins/baseldap.py
+++ b/ipalib/plugins/baseldap.py
@@ -21,16 +21,14 @@ Base classes for LDAP plugins.
 """
 
 import re
-import json
 
 from ipalib import crud, errors, uuid
 from ipalib import Method, Object
-from ipalib import Flag, Int, List, Str
+from ipalib import Flag, List, Str
 from ipalib.base import NameSpace
 from ipalib.cli import to_cli, from_cli
 from ipalib import output
 from ipalib.text import _
-from ipalib.util import json_serialize
 
 
 def validate_add_attribute(ugettext, attr):
@@ -48,12 +46,11 @@ def get_attributes(attrs):
     """
     Given a list of values in the form name=value, return a list of name.
     """
-    if not attrs:
-        return []
     attrlist=[]
     for attr in attrs:
         m = re.match("\s*(.*?)\s*=\s*(.*?)\s*$", attr)
         attrlist.append(str(m.group(1)).lower())
+
     return attrlist
 
 
@@ -115,6 +112,7 @@ class LDAPObject(Object):
                         entry_attrs.setdefault(new_attr, []).append(
                             ldap_obj.get_primary_key_from_dn(member)
                         )
+            del entry_attrs[attr]
 
     def handle_not_found(self, *keys):
         raise errors.NotFound(
@@ -123,20 +121,6 @@ class LDAPObject(Object):
             }
         )
 
-    json_friendly_attributes = (
-        'parent_object', 'container_dn', 'object_name', 'object_name_plural',
-        'object_class', 'object_class_config', 'default_attributes', 'label',
-        'hidden_attributes', 'uuid_attribute', 'attribute_members', 'name',
-        'takes_params',
-    )
-    def __json__(self):
-        json_dict = dict(
-            (a, getattr(self, a)) for a in self.json_friendly_attributes
-        )
-        json_dict['primary_key'] = self.primary_key.name
-        json_dict['methods'] = [m for m in self.methods]
-        return json_dict
-
 
 # Options used by create and update.
 _attr_options = (
@@ -401,6 +385,7 @@ class LDAPUpdate(LDAPQuery, crud.Update):
     """
     Update an LDAP entry.
     """
+
     takes_options = _attr_options
 
     def execute(self, *keys, **options):
@@ -438,26 +423,26 @@ class LDAPUpdate(LDAPQuery, crud.Update):
         set.
         """
         if 'addattr' in options:
-            setset = set(get_attributes(options.get('setattr', [])))
-            addset = set(get_attributes(options['addattr']))
-            difflist = list(addset.difference(setset))
-            if difflist:
+            try:
+                (dn, old_entry) = ldap.get_entry(
+                    dn, attrs_list, normalize=self.obj.normalize_dn
+                )
+            except errors.ExecutionError, e:
                 try:
-                    (dn, old_entry) = ldap.get_entry(
-                        dn, difflist, normalize=self.obj.normalize_dn
+                    (dn, old_entry) = self._call_exc_callbacks(
+                        keys, options, e, ldap.get_entry, dn, attrs_list,
+                        normalize=self.obj.normalize_dn
                     )
-                except errors.ExecutionError, e:
-                    try:
-                        (dn, old_entry) = self._call_exc_callbacks(
-                            keys, options, e, ldap.get_entry, dn, attrs_list,
-                            normalize=self.obj.normalize_dn
-                        )
-                    except errors.NotFound:
-                        self.obj.handle_not_found(*keys)
-                for a in old_entry:
-                    if not isinstance(entry_attrs[a], (list, tuple)):
-                        entry_attrs[a] = [entry_attrs[a]]
-                    entry_attrs[a] += old_entry[a]
+                except errors.NotFound:
+                    self.obj.handle_not_found(*keys)
+            attrlist = get_attributes(options['addattr'])
+            for attr in attrlist:
+                if attr in old_entry:
+                    if type(entry_attrs[attr]) in (tuple,list):
+                        entry_attrs[attr] = old_entry[attr] + entry_attrs[attr]
+                    else:
+                        old_entry[attr].append(entry_attrs[attr])
+                        entry_attrs[attr] = old_entry[attr]
 
         try:
             ldap.update_entry(dn, entry_attrs, normalize=self.obj.normalize_dn)
@@ -809,25 +794,6 @@ class LDAPSearch(CallbackInterface, crud.Search):
     """
     Retrieve all LDAP entries matching the given criteria.
     """
-    takes_options = (
-        Int('timelimit',
-            label=_('Time Limit'),
-            doc=_('Time limit of search in seconds (default 1)'),
-            flags=['no_dispaly'],
-            minvalue=0,
-            default=1,
-            autofill=True,
-        ),
-        Int('sizelimit',
-            label=_('Size Limit'),
-            doc=_('Maximum number of entries returned (default 3000)'),
-            flags=['no_dispaly'],
-            minvalue=0,
-            default=3000,
-            autofill=True,
-        ),
-    )
-
     def get_args(self):
         for key in self.obj.get_ancestor_primary_keys():
             yield key
@@ -891,9 +857,7 @@ class LDAPSearch(CallbackInterface, crud.Search):
 
         try:
             (entries, truncated) = ldap.find_entries(
-                filter, attrs_list, base_dn, scope=ldap.SCOPE_ONELEVEL,
-                time_limit=options.get('timelimit', 1),
-                size_limit=options.get('sizelimit', 3000)
+                filter, attrs_list, base_dn, scope=ldap.SCOPE_ONELEVEL
             )
         except errors.ExecutionError, e:
             try:
diff --git a/ipalib/util.py b/ipalib/util.py
index f5f0c9641f2b5e184d1163ff0332a692f8b79b06..76be9a6d7590b8f0545804e8f289f54c60edf5cf 100644
--- a/ipalib/util.py
+++ b/ipalib/util.py
@@ -1,8 +1,7 @@
 # Authors:
 #   Jason Gerard DeRose <jderose@redhat.com>
-#   Pavel Zuna <pzuna@redhat.com>
 #
-# Copyright (C) 2010  Red Hat
+# Copyright (C) 2008  Red Hat
 # see file 'COPYING' for use and warranty information
 #
 # This program is free software; you can redistribute it and/or
@@ -31,12 +30,6 @@ import socket
 from ipalib import errors
 
 
-def json_serialize(obj):
-    if not callable(getattr(obj, '__json__', None)):
-        # raise TypeError('%r is not JSON serializable')
-        return ''
-    return obj.__json__()
-
 def get_current_principal():
     try:
         return unicode(krbV.default_context().default_ccache().principal().name)
diff --git a/setup.py b/setup.py
index bb7102bf4b0489d9da2de6ec03681d46e7536b6c..91f75910e848d45eefbf51ab06a46c7822fc34c9 100755
--- a/setup.py
+++ b/setup.py
@@ -82,9 +82,6 @@ setup(
         'ipaserver.plugins',
         'ipaserver.install',
     ],
-    package_data={
-        'ipawebui': ['static/*.png', 'static/*.js'],
-    },
     scripts=['ipa'],
     data_files = [('share/man/man1', ["ipa.1"])],
 )
diff --git a/tests/test_ipalib/test_text.py b/tests/test_ipalib/test_text.py
index ac156fe03ff2c6ad06c5333dab89f3020e8627bf..580c68f700d29d5c3404d29714d94b3be0e8b9e2 100644
--- a/tests/test_ipalib/test_text.py
+++ b/tests/test_ipalib/test_text.py
@@ -70,8 +70,8 @@ def test_gettext():
     art the string "foo" would render as: "-->foo<--"
     '''
 
-    localedir='install/po/test_locale'
-    test_file='install/po/test.po'
+    localedir='../../install/po/test_locale'
+    test_file='../../install/po/test.po'
 
     # The test installs the test message catalog under the en_US
     # (e.g. U.S. English) language. It would be nice to use a dummy
-- 
1.7.2

